:root {
  --main-color: #1a76d1;
  --white-color: #fff;
  --black-color: #111;
}
.header-menu {
  display: block;
}
@media screen and (min-width: 768px) {
  .header-menu {
    display: grid;
    row-gap: 1em;
    grid-template-columns: 300px auto auto;
    position: relative;
  }
}
nav {
  position: relative;
}
nav ul,
nav li {
  margin-bottom: 0;
  list-style: none;
}
nav > ul {
  position: relative;
}
nav > ul > li {
  position: relative;
}
nav > ul > li > a {
  position: relative;
}

nav > ul > li span {
  position: relative;
  color: #111;
}
nav > ul > li > ul {
  display: none;
  padding-left: 0;
  line-height: 1.8;
}
nav > ul > li ul a {
  color: #444;
  font-size: 0.95em;
}

nav .nav-btn {
  display: none;
}
@media screen and (max-width: 768px) {
  header .container {
    padding: 0;
  }
  nav {
    min-height: 50px;
    background: var(--main-color);
    width: 100%;
    padding: 0 10px;
  }
  nav::before {
    position: absolute;
    font-size: 1.2em;
    content: "Menu";
    left: 1em;
    top: 10px;
    color: var(--white-color);
    font-weight: bold;
  }
  nav > ul {
    display: none;
    padding: 50px 0 20px 0;
    max-height: 60vh;
    overflow-y: auto;
  }
  nav > ul li:hover {
    background: linear-gradient(90deg, #0fa3bb, transparent);
  }
  nav > ul > li {
    position: relative;
    /* margin: 0.3em 0; */
    padding: 0.5em;
  }

  /*   nav > ul > li a {
    color: var(--white-color) !important;
  } */
  nav > ul > li li {
    position: relative;
    padding: 0.2em 1em;
  }
  nav > ul > li ul {
    position: relative;
    background: none;
  }
  nav > ul > li ul::before {
    position: absolute;
    content: "";
    height: 95%;
    width: 1px;
    background: rgba(255, 255, 255, 0.3);
    left: 0;
    top: 0.5em;
    z-index: 100;
  }
  nav > ul > li span {
    position: absolute;
    right: 0;
    display: block;
    top: 0;
    z-index: 1000;
    color: var(--white-color);
  }
  nav > ul > li span::before {
    width: 26px;
    height: 26px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  nav .nav-btn {
    display: block;
    position: absolute;
    right: 10px;
    top: 2px;
    width: 34px;
    height: 44px;
    overflow: hidden;
    white-space: nowrap;
    color: transparent;
    z-index: 100;
  }
  nav .nav-btn i,
  nav .nav-btn i::before,
  nav .nav-btn i::after {
    position: absolute;
    display: inline-block;
    height: 3px;
    width: 24px;
    background: #ffffff;
  }
  nav .nav-btn i {
    position: absolute;
    top: 50%;
    right: 5px;
    margin-top: -2px;
    transition: background 0.2s;
  }
  nav .nav-btn i::after,
  nav .nav-btn i::before {
    content: "";
    right: 0;
    transform: translateZ(0);
    backface-visibility: hidden;
    transform-origin: 0% 50%;
    transition: transform 0.2s;
  }
  nav .nav-btn i::after {
    top: 6px;
  }
  nav .nav-btn i::before {
    top: -6px;
  }
  nav.visible .nav-btn i {
    background: rgba(255, 255, 255, 0);
  }
  nav.visible .nav-btn i::after,
  nav.visible .nav-btn i::before {
    background: white;
  }
  nav.visible .nav-btn i::after {
    transform: translateX(4px) translateY(2px) rotate(-45deg);
  }
  nav.visible .nav-btn i::before {
    transform: translateX(4px) translateY(-3px) rotate(45deg);
  }
  nav.visible > ul {
    display: block;
  }
}
@media screen and (min-width: 769px) {
  .navbar.scrolled nav {
    --nav-text-color: var(--black-color);
  }
  nav {
    position: unset;
    width: 56%;
    --nav-text-color: var(--white-color);
  }
  nav > ul {
    position: unset;
    max-width: 1150px;
    display: flex;
    padding-left: 0;
    row-gap: 1em;
    height: 100%;
    justify-content: flex-end;
  }
  nav > ul > li {
    position: unset;
    padding: 20px 12px;
    display: flex;
    align-items: center;
  }

  nav > ul > li a:hover {
    color: var(--main-color) !important;
  }
  nav > ul > li > span {
    display: none;
  }
  nav > ul > li:first-child {
    padding-left: 0;
    margin-left: 0;
  }
  nav > ul > li.normal {
    position: relative;
  }

  nav > ul > li.normal > ul {
    background-color: var(--white-color);
    width: max-content;
    max-width: 400px;
  }
  nav > ul > li.hasChild > a {
    position: relative;
  }
  nav > ul > li.hasChild:hover > a {
    color: var(--main-color) !important;
  }
  nav > ul > li.hasChild:hover > a::before {
    position: absolute;
    content: "";
    background-color: var(--main-color);
    width: 100%;
    height: 2px;
    left: 0;
    top: -1em;
  }
  nav > ul > li.hasChild > a::after {
    position: absolute;
    right: -12px;
    content: "";
    font-weight: normal;
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px solid;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    top: 0.6em;
  }
  nav > ul > li.normal .full-screen > ul > li > ul .naviView > li {
    position: relative;
    padding-left: 0.8em;
  }
  nav > ul > li.normal .full-screen > ul > li > ul .naviView > li::before {
    position: absolute;
    content: "\e923";
    left: 0;
    font-family: "icomoon";
    color: #111;
  }
  nav > ul > li.normal .full-screen > ul > li > ul .naviView > li span {
    display: none;
  }
  nav > ul > li.normal .full-screen > ul > li > ul ul {
    position: relative;
    left: 0;
    padding-top: 0;
    padding-left: 0;
    width: 100%;
    max-height: 260px;
    overflow-y: auto;
  }
  nav > ul > li.normal .full-screen > ul > li > ul ul::-webkit-scrollbar {
    width: 10px;
    height: 1px;
  }
  nav > ul > li.normal .full-screen > ul > li > ul ul::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    background: #d6b007;
  }
  nav > ul > li.normal .full-screen > ul > li > ul ul::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px rgba(21, 21, 21, 0.2);
    border-radius: 10px;
    background: #ededed;
  }
  nav > ul > li.normal .full-screen > ul > li > ul > li > a {
    border-bottom: 1px solid rgba(121, 121, 121, 0.2);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 1em;
    color: #111;
  }
  nav > ul > li.normal .full-screen > ul > li > ul > li a {
    color: #111 !important;
    transition: all ease-in-out 0.4s;
  }
  nav > ul > li.normal .full-screen > ul > li > ul > li a:hover {
    color: var(--main-color) !important;
  }
  nav > ul > li > a {
    font-weight: bold;
    color: var(--black-color);
  }
  nav > ul > li a {
    transition: all ease-in-out 0.4s;
  }
  /*   nav > ul > li span {
    position: absolute;
    top: 0.5em;
    right: 0.5em;
    display: none;
  } */

  nav > ul > li > ul {
    box-shadow: 3px 4px 8px 1px rgba(121, 121, 121, 0.3);
  }
  nav > ul > li > ul > li {
    padding: 3px 10px;
    max-height: 400px;
    overflow-y: auto;
  }
  nav > ul > li > ul > li > a {
    border-bottom: 1px solid #f7f2f2;
    display: block;
    padding-bottom: 0.3em;
    margin-bottom: 0.3em;
    color: var(--main-color);
  }
  nav > ul > li .full-screen {
    position: absolute;
    left: 0;
    padding: 1.5em 0 1.5em 0;
    display: none;
    width: 100%;
    top: 100%;
    background-color: var(--white-color);
    box-shadow: 1px 0 20px rgba(21, 21, 21, 0.1);
    min-height: 70vh;
    max-height: 75vh;
    overflow-y: auto;
  }
  nav > ul > li .full-screen > ul {
    display: block;
    background: none;
    width: 32%;
    border-right: 1px solid rgba(21, 21, 21, 0.2);
    height: 100%;
  }
  nav > ul > li .full-screen > ul > li {
    background-color: var(--white-color);
    padding: 0 1em;
    --count: 3;
    --child-height: 94%;
  }
  nav > ul > li .full-screen > ul > li:nth-child(1) {
    --child-height: 900px;
  }
  nav > ul > li .full-screen > ul > li:nth-child(1) > a {
    /*  white-space: nowrap; */
  }
  nav > ul > li .full-screen > ul > li:nth-child(2) {
    --count: 2;
    --child-height: 600px;
  }
  nav > ul > li .full-screen > ul > li:nth-child(3) {
    --count: 1;
  }
  nav > ul > li:nth-child(5) .full-screen > ul > li {
    --count: 2.5;
    --child-height: 600px;
  }
  nav > ul > li .full-screen > ul > li a.more {
    color: var(--main-color) !important;
  }
  nav > ul > li .full-screen > ul > li > a {
    position: relative;
    color: #444;
    padding: 0.5em 1em;
    display: block;
  }
  nav > ul > li .full-screen > ul > li > ul {
    position: absolute;
    left: 33%;
    top: 1.5em;
    width: 65%;
    background: none;
    flex-wrap: wrap;
    place-content: flex-start;
    gap: 0.5em;
    row-gap: 1em;
    display: none;
  }
  nav > ul > li .full-screen > ul > li > ul > li {
    width: 48%;
  }

  nav > ul > li .full-screen > ul > li > ul > li.show > ul {
    display: block;
  }
  nav > ul > li .full-screen > ul > li ul li {
    padding-left: 1em;
  }
  nav > ul > li .full-screen > ul > li > span {
    display: none;
  }
  nav > ul > li .full-screen > ul > li > .angle-down::before {
    position: absolute;
    content: "";
    font-weight: normal;
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    right: 0.2em;
    border-left: 4px solid;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    top: 1em;
  }
  nav > ul > li:hover > ul {
    position: absolute;
    top: 100%;
    left: 0;
    display: block;
    max-height: 80vh;
    background-color: var(--white-color);
    padding: 1em;
  }
  nav > ul > li:last-child {
    position: relative;
  }
  nav > ul > li:last-child:hover > ul {
    display: block;
  }
  nav > ul > li:hover .full-screen {
    display: block;
  }
  nav > ul > li > .full-screen > ul > li.show > a {
    color: var(--main-color) !important;
    background: linear-gradient(45deg, #e0e1de, transparent);
  }
  nav > ul > li:hover .full-screen li.show > ul {
    display: flex !important;
  }
  nav > ul > li:hover .full-screen li.show > ul a.angle-down::before {
    right: 0;
  }
  /*   nav > ul > li:hover .full-screen li.show > ul > li {
    max-height: 40vh;
    overflow-y: auto;
  } */
  nav > ul > li:hover .full-screen li.show > ul > li > ul {
    display: block;
  }
  nav > ul > li:hover .full-screen li.show > ul > li > ul a.angle-down::before {
    display: none;
  }
  nav > ul > li:hover .full-screen li.show > ul > li > ul > li {
    padding: 0.3em 1em;
    padding-left: 1.5em;
    position: relative;
  }
  nav > ul > li:hover .full-screen li.show > ul > li > ul > li::before {
    position: absolute;
    content: "✦";
    color: var(--main-color);
    left: 0;
    top: 0.3em;
  }
  nav > ul > li:hover .full-screen li.show > ul > li > a {
    position: relative;
  }
}
@media (min-width: 769px) and (max-width: 1300px) {
}
@media screen and (max-width: 992px) {
  .mobile-nav {
    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;
    -o-transition: all ease 0.5s;
    transition: all ease 0.5s;
    position: fixed;
    top: 0;
    right: 0;
    background: #272727;
    height: calc(100vh);
    overflow-y: auto;
  }
  .mobile-move {
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);
  }
}
.rotate-angle {
  -webkit-transform: rotateZ(90deg);
  -moz-transform: rotateZ(90deg);
  -ms-transform: rotateZ(90deg);
  -o-transform: rotateZ(90deg);
  transform: rotateZ(90deg);
}
